package com.example.austime;
import android.content.Intent;
import android.database.Cursor;
import android.os.Bundle;
import android.support.v7.app.ActionBar;
import android.support.v7.app.AppCompatActivity;
import android.view.View;
import android.widget.AdapterView;
import android.widget.AdapterView.OnItemClickListener;
import android.widget.ArrayAdapter;
import android.widget.ListView;
import android.widget.Toast;

import com.example.austime.model.Timer;

import java.util.ArrayList;
import java.util.List;

public class ListTimerActivity extends AppCompatActivity {
    List<Timer> mList;
    DatabaseHandler timerRepo;
    DatabaseHandler dbhelper;
    ArrayAdapter adapter;
    ListView userlist;
    ArrayList<String> listItems;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_list_timer);
        dbhelper = new DatabaseHandler(this);
        ActionBar actionBar = getSupportActionBar();
        actionBar.setTitle("Task list");
        listItems = new ArrayList<>();

        // findByView();
//        task_list.invalidateViews();
        mList = new ArrayList<>();
        userlist = findViewById(R.id.task_list);

        viewData();
    }
    public void findByView() {
    userlist = findViewById(R.id.task_list);
    }

    public void onDelete(View view) {
        userlist.setOnItemClickListener(new OnItemClickListener() {
            @Override
            public void onItemClick(AdapterView<?> parent, android.view.View view,  int position, long id) {
                Toast.makeText(getApplicationContext(), " " + position , Toast.LENGTH_LONG).show();
                listItems.remove(position);

            }
        });
        userlist.invalidateViews();
    }

    public void onAdd(View view) {
        Intent i= new Intent(this, FormActivity.class);
        startActivity(i);

        // Lancement de l'interface d'ajout : ===> Charlene & Mira
        /*Timer timer = new Timer();
        timerRepo = new TimerRepository(this);
        timer.setTitle("Test");
        timer.setStartDate("sdsd");
        timer.setTime("sdqdqsd");
        timerRepo.addTask(timer);
        taskList();*/
    }
    public void onModify(View view) {

    }
    private void viewData() {
        Cursor cursor = dbhelper.viewdata();
        if (cursor.getCount() == 0){
            Toast.makeText(this, "no data to show", Toast.LENGTH_SHORT ).show();
        } else {
            while ( cursor.moveToNext()){
                listItems.add(cursor.getString(1));
            }
            adapter = new ArrayAdapter<>(this, android.R.layout.simple_list_item_1, listItems);
            userlist.setAdapter(adapter);

        }
    }


}
